##### Views

- Page
- Discussion
- View source
- History

# SpriteBatch:add

Adds a sprite to the batch.

## Function

Available since LÖVE 0.8.0
This variant is not supported in earlier versions.

### Synopsis

id = SpriteBatch:add( x, y, r, sx, sy, ox, oy, kx, ky )

### Arguments

`number x`
  The position to draw the object (x-axis).
`number y`
  The position to draw the object (y-axis).
`number r (0)`
  Orientation (radians).
`number sx (1)`
  Scale factor (x-axis).
`number sy (sx)`
  Scale factor (y-axis).
`number ox (0)`
  Origin offset (x-axis).
`number oy (0)`
  Origin offset (y-axis).
`number kx (0)`
  Shear factor (x-axis).
`number ky (0)`
  Shear factor (y-axis).

### Returns

`number id`
  An identifier for the added sprite.

## Function

Available since LÖVE 0.9.0
This variant has replaced SpriteBatch:addq.

Adds a Quad to the batch.

### Synopsis

id = SpriteBatch:add( quad, x, y, r, sx, sy, ox, oy, kx, ky )

### Arguments

`Quad quad`
  The Quad to add.
`number x`
  The position to draw the object (x-axis).
`number y`
  The position to draw the object (y-axis).
`number r (0)`
  Orientation (radians).
`number sx (1)`
  Scale factor (x-axis).
`number sy (sx)`
  Scale factor (y-axis).
`number ox (0)`
  Origin offset (x-axis).
`number oy (0)`
  Origin offset (y-axis).
`number kx (0)`
  Shear factor (x-axis).
`number ky (0)`
  Shear factor (y-axis).

### Returns

`number id`
  An identifier for the added sprite.

## Function

Removed in LÖVE 0.8.0
This variant is not supported in that and later versions.

### Synopsis

SpriteBatch:add( x, y, r, sx, sy, ox, oy )

### Arguments

`number x`
  The position to draw the object (x-axis).
`number y`
  The position to draw the object (y-axis).
`number r (0)`
  Orientation (radians).
`number sx (1)`
  Scale factor (x-axis).
`number sy (sx)`
  Scale factor (y-axis).
`number ox (0)`
  Origin offset (x-axis).
`number oy (0)`
  Origin offset (y-axis).

### Returns

Nothing.

## See Also

- SpriteBatch
- SpriteBatch:addq
- SpriteBatch:set
- SpriteBatch:setq

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/SpriteBatch:add"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties